For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mapping

Create Mapping

post

Creates a new mapping for a specific flow step.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
flow_version_idstringRequired
flow_step_idstringRequired
mappingstringOptional
mapping_filestringOptional
Responses
200

Successful response

application/json
post/api/v1/mapping
POST /api/v1/mapping HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "flow_version_id": 1,
  "flow_step_id": 1,
  "mapping": "example_mapping",
  "mapping_file": "example_mapping_file"
}
{
  "data": {
    "id": 1,
    "flow_version_id": 1,
    "flow_step_id": 1,
    "mapping": "example_mapping",
    "mapping_file": "example_mapping_file",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z"
  }
}

Generate Mapping

get

Auto-generates a mapping between a specific source endpoint and a specific destination endpoint using field tag matching.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
sourceEndpointstringRequired

The sourceEndpoint identifier.

destinationEndpointstringRequired

The destinationEndpoint identifier.

Responses
200

Successful response

application/json
objectOptional
get/api/v1/mapping/generate/{sourceEndpoint}/{destinationEndpoint}
GET /api/v1/mapping/generate/{sourceEndpoint}/{destinationEndpoint} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}

Get Mapping

get

Retrieves the details of a specific mapping.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
mappingstringRequired

The mapping identifier.

Responses
200

Successful response

application/json
get/api/v1/mapping/{mapping}
GET /api/v1/mapping/{mapping} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 1,
    "flow_version_id": 1,
    "flow_step_id": 1,
    "mapping": "example_mapping",
    "mapping_file": "example_mapping_file",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z"
  }
}

Export Mapping

get

Exports the configuration of a specific mapping as a JSON file.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
mappingstringRequired

The mapping identifier.

Responses
200

Successful response

application/json
objectOptional
get/api/v1/mapping/{mapping}/export
GET /api/v1/mapping/{mapping}/export HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}

Last updated

Was this helpful?